Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools Liberty 1.1 Java API Reference 10g Release 3 (10.1.3) B25384-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.xmlsec.liberty.v11
Class LibRequestMessage

`java.lang.Object
oracle.security.xmlsec.util.XMLNode
oracle.security.xmlsec.util.XMLElement
oracle.security.xmlsec.saml.SAMLMessage
oracle.security.xmlsec.samlp.RequestType
oracle.security.xmlsec.liberty.v11.LibRequestMessage`

Direct Known Subclasses:
  AuthnRequest, FederationTerminationNotification, LogoutRequest, RegisterNameIdentifierRequest

public abstract class LibRequestMessage
extends oracle.security.xmlsec.samlp.RequestType

This is an abstract base class which holds the common features of the various Liberty protocol request and notification messages.

Field Summary

Fields inherited from class oracle.security.xmlsec.samlp.RequestType
`ATTRIBUTE_STATEMENT, AUTHENTICATION_STATEMENT, AUTHORIZATION_DECISION_STATEMENT`

Fields inherited from class oracle.security.xmlsec.util.XMLNode
`node, systemId`

Constructor Summary
`protected` | `LibRequestMessage(org.w3c.dom.Document owner, java.lang.String nsURI, java.lang.String localName)` Creates a new `LibRequestMessage` instance.
`protected` | `LibRequestMessage(org.w3c.dom.Document owner, java.lang.String nsURI, java.lang.String localName, java.lang.String requestId, java.util.Date issueInstant)` Creates a new `LibRequestMessage` instance.
`protected` | `LibRequestMessage(org.w3c.dom.Element element)` Creates a new `LibRequestMessage` instance from the given Element node.
`protected` | `LibRequestMessage(org.w3c.dom.Element element, java.lang.String systemId)` Creates a new `LibRequestMessage` instance from the given Element node.

Method Summary
`oracle.security.xmlsec.dsig.XSSignature` | `addSignature(java.lang.String signatureMethod, java.lang.String c14nMethod)` Adds a dsig:Signature to this request, replacing any existing signature.
`oracle.security.xmlsec.dsig.XSSignature` | `addSignature(java.lang.String signatureMethod, java.lang.String c14nMethod, java.lang.String digestMethod)` Adds a dsig:Signature to this request, replacing any existing signature.
`protected int` | `getChildElementPosition(java.lang.String nsURI, java.lang.String localName)`
`protected abstract java.lang.String[]` | `getChildElementsLocalNames()` Returns the orderded set of the local names of the child elements specified in the schema for the XML element represented by the concrete subclass.
`protected abstract java.lang.String[]` | `getChildElementsNSURIs()` Returns the orderded set of the namespce URIs for the child elements specified in the schema for the XML element represented by the concrete subclass.
`java.lang.String` | `getId()` Returns the value of the id attribute of this Liberty request element.
`static LibRequestMessage` | `getInstance(org.w3c.dom.Element element)` Instantiates a concrete `LibRequestMessage` subclass implementation to wrap the given `Element`.
`java.lang.String` | `getProviderID()` Returns the provider's URI based ideitifier contained in the ProviderID child element of this `LibRequestMessage`.
`java.lang.String` | `getRelayState()` Returns the value contained in the RelayState child element of this request element, or null if no RelayState element set.
`void` | `setId(java.lang.String id)` Sets the id attribute of this Liberty request element.
`void` | `setProviderID(java.lang.String providerID)` Sets the ProviderID child element in this element.
`void` | `setRelayState(java.lang.String value)` Sets the RelayState child element in this Liberty request element.

Methods inherited from class oracle.security.xmlsec.samlp.RequestType
`addRespondWith, addRespondWithValue, getID, getIssueInstant, getLocalNamesPrecedeDSig, getNSURIsPrecedeDSig, getRequestID, getRespondWiths, getRespondWithValues, setIssueInstant, setRequestID`

Methods inherited from class oracle.security.xmlsec.saml.SAMLMessage
`clearSignature, getInstance, getMajorVersion, getMinorVersion, getSignature, isSigned, setVersion, sign, sign, verify, verify`

Methods inherited from class oracle.security.xmlsec.util.XMLElement
`addNSPrefixAttr, addNSPrefixAttr, addNSPrefixAttrDefault, addNSPrefixAttrDefault, getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getChildElementsByTagName, getChildElementsByTagName, getChildElementsByTagNameNS, getChildElementsByTagNameNS, getDefaultNSPrefix, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setDefaultNSPrefix`

Methods inherited from class oracle.security.xmlsec.util.XMLNode
`appendChild, appendChild, appendTo, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNode, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getSystemId, hasAttributes, hasChildNodes, insertBefore, insertBefore, isSupported, normalize, removeChild, removeChild, replaceChild, replaceChild, setNodeValue, setPrefix, setSystemId, toBytesXML, toStringXML`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LibRequestMessage

    protected LibRequestMessage(org.w3c.dom.Element element)
                         throws org.w3c.dom.DOMException

  Creates a new `LibRequestMessage` instance from the given Element node.
Parameters:
  `element` - A Liberty request or notification XML element.

### LibRequestMessage

    protected LibRequestMessage(org.w3c.dom.Element element,
                                java.lang.String systemId)
                         throws org.w3c.dom.DOMException

  Creates a new `LibRequestMessage` instance from the given Element node.
Parameters:
  `element` - A Liberty request or notification XML element.
  `systemId` - The URI string system ID for the `LibRequestMessage`.

### LibRequestMessage

    protected LibRequestMessage(org.w3c.dom.Document owner,
                                java.lang.String nsURI,
                                java.lang.String localName)
                         throws org.w3c.dom.DOMException

  Creates a new `LibRequestMessage` instance.
Parameters:
  `owner` - The owner document of the new LibRequestMessage.
  `nsURI` - The namespace URI in which the new LibRequestMessage is to be created.
  `localName` - The localName of the element represented by the class that extends this abstract class.

### LibRequestMessage

    protected LibRequestMessage(org.w3c.dom.Document owner,
                                java.lang.String nsURI,
                                java.lang.String localName,
                                java.lang.String requestId,
                                java.util.Date issueInstant)
                         throws org.w3c.dom.DOMException

  Creates a new `LibRequestMessage` instance.
Parameters:
  `owner` - The owner document of the new LibRequestMessage.
  `nsURI` - The namespace URI in which the new LibRequestMessage is to be created.
  `localName` - The localName of the element represented by the class that extends this abstract class.
  `issueInstant` - The `IssueInstant` attribute.

Method Detail

### getInstance

    public static LibRequestMessage getInstance(org.w3c.dom.Element element)
                                         throws org.w3c.dom.DOMException

  Instantiates a concrete `LibRequestMessage` subclass implementation to wrap the given `Element`.
  Parameters:
    `element` - An `org.w3c.dom.Element` representing an extension of `smal:RequestAbstractType` in the Liberty namespace.
  Returns:
    A subclass of `LibRequestMessage`, or `null` if no appropriate implementation class could be found.
  Throws:
    `org.w3c.dom.DOMException`

### setId

    public void setId(java.lang.String id)
               throws org.w3c.dom.DOMException

  Sets the id attribute of this Liberty request element.
  Parameters:
    `id` - The ID name of this element.
  Throws:
    `org.w3c.dom.DOMException`

### getId

    public java.lang.String getId()

  Returns the value of the id attribute of this Liberty request element.
  Returns:
    A string containing the ID name of this element, or `null` if the attribute is missing.

### setProviderID

    public void setProviderID(java.lang.String providerID)
                       throws org.w3c.dom.DOMException

  Sets the ProviderID child element in this element. This required child contains the ProviderID of the provider which sent the request or notification message.
  Parameters:
    `providerID` - The URI-based identifier of the provider.
  Throws:
    `org.w3c.dom.DOMException`

### getProviderID

    public java.lang.String getProviderID()

  Returns the provider's URI based ideitifier contained in the ProviderID child element of this `LibRequestMessage`.

### setRelayState

    public void setRelayState(java.lang.String value)
                       throws org.w3c.dom.DOMException

  Sets the RelayState child element in this Liberty request element. This child is optional which contains state information which may be relayed back in the response.
  Parameters:
    `value` - The value for the Relay state.
  Throws:
    `org.w3c.dom.DOMException`

### getRelayState

    public java.lang.String getRelayState()

  Returns the value contained in the RelayState child element of this request element, or null if no RelayState element set.

### addSignature

    public oracle.security.xmlsec.dsig.XSSignature addSignature(java.lang.String signatureMethod,
                                                                java.lang.String c14nMethod)

  Adds a dsig:Signature to this request, replacing any existing signature. The dsig:SignatureValue is not calculated so, at a minimum, one of the `sign()` methods must be invoked on the returned `oracle.security.xmlsec.dsig.XSSignature` object. The code>XSSignature can be used to add a dsig:KeyInfo containing, for example, the signer's public key certificate.

  The default Reference digest algorithm is SHA-1. Use the `addSignature(String signatureMethod, String c14nMethod, String digestMethod)` method to specify an alternative message digest algorithm. See `XMLURI` for algorithm URI string constants.

  Note: If this Request element has an "id" attribute, then its value is used as the target of the new signature's Reference element. If no "id" attribute is present, as would be the case for a samlp:Request, an XPath Filter transform is added to the signature Reference to identify the Request element to be signed.

  Parameters:
    `signatureMethod` - The URI identifying the signature algorithm to be used.
    `c14nMethod` - The URI identifying the canonicalization algorithm to be used.
  Returns:
    The newly created signature.
  See Also:
    `XSSignature`, `XSKeyInfo`, `XMLURI`

### addSignature

    public oracle.security.xmlsec.dsig.XSSignature addSignature(java.lang.String signatureMethod,
                                                                java.lang.String c14nMethod,
                                                                java.lang.String digestMethod)

  Adds a dsig:Signature to this request, replacing any existing signature. The dsig:SignatureValue is not calculated so, at a minimum, one of the `sign()` methods must be invoked on the returned `oracle.security.xmlsec.dsig.XSSignature` object. The code>XSSignature can be used to add a dsig:KeyInfo containing, for example, the signer's public key certificate.

  See `XMLURI` for algorithm URI string constants.

  Note: If this Request element has an "id" attribute, then its value is used as the target of the new signature's Reference element. If no "id" attribute is present, as would be the case for a samlp:Request, an XPath Filter transform is added to the signature Reference to identify the Request element to be signed.

  Parameters:
    `signatureMethod` - The URI identifying the signature algorithm to be used.
    `c14nMethod` - The URI identifying the canonicalization algorithm to be used.
    `digestMethod` - The URI identifying the message digest algorithm to be used.
  Returns:
    The newly created signature.
  See Also:
    `XSSignature`, `XSKeyInfo`, `XMLURI`

### getChildElementsNSURIs

    protected abstract java.lang.String[] getChildElementsNSURIs()

  Returns the orderded set of the namespce URIs for the child elements specified in the schema for the XML element represented by the concrete subclass.

### getChildElementsLocalNames

    protected abstract java.lang.String[] getChildElementsLocalNames()

  Returns the orderded set of the local names of the child elements specified in the schema for the XML element represented by the concrete subclass.

### getChildElementPosition

    protected int getChildElementPosition(java.lang.String nsURI,
                                          java.lang.String localName)
                                   throws org.w3c.dom.DOMException

  Throws:
    `org.w3c.dom.DOMException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools Liberty 1.1 Java API Reference 10g Release 3 (10.1.3) B25384-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.